Bug 520083 - Graphical installation of fedora12 hangs (ATI Technologies Inc Radeon RV100 QY [Radeon 7000/VE])
Summary: Graphical installation of fedora12 hangs (ATI Technologies Inc Radeon RV100 Q...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 10:09 UTC by Winfrid Tschiedel
Modified: 2018-04-11 18:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-17 18:12:07 UTC


Attachments (Terms of Use)

Description Winfrid Tschiedel 2009-08-28 10:09:48 UTC
Description of problem:
I have a Fujitsu Primergy rx220 with a VGA compatible ATI Technologies Inc Radeon RV100 QY [Radeon 7000/VE] graphic chip. After pressing enter or selecting an input button the installation may hang -
keyboard is locked and the only chance is to reboot the system by pressing the power button. This occurs always between selecting keyboard layout and before the partitioning is written back.

Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
1. Install fedora 12 on Fujitsu Promergy rx220
2.
3.
  
Actual results:
Installation hangs


Expected results:
Successful installation !!

Additional info:
With older versions of fedora and redhat there was no problem 
in case of fedora 11 or redhat enterprise linux 6 the bootparameter nomodeset 
help. But this time my only chance for a successful installation was VNC.

But I still have a problem - after the installation is finished and the first
boot is done I am not able to use a graphic desktop, because the mouse is not
working ( can't be moved )

Comment 1 Jérôme Glisse 2009-08-28 10:43:02 UTC
Does setting boot option radeon.agpmode=-1 helps with th live/install cd, otherwise does option radeon.modeset=-1 helps ?

Comment 2 Winfrid Tschiedel 2009-08-28 12:37:59 UTC
Hi Jerome,

First I thought at least radeon.modeset=-1 would help, but the situation is still unchanged. It looks to me that moving the cursor (by mouse or tabbing) effects after a short time of the installation that no input from the keyboard is possible. And this is a new problem, first time for me to see on fedora12.

Just another question, with fedora12 I was not able to configure the display using setup command - the option is simply not available.

Comment 3 Winfrid Tschiedel 2009-09-02 08:37:14 UTC
Hi Jerome, 

With the latest updates from rawhide the problems I had with X on the installed fedora 12 are gone.

But the installation problems still exist -
they only can be bypassed using VNC

Comment 4 Matěj Cepl 2009-11-05 17:14:34 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 5 Jérôme Glisse 2009-11-06 15:35:31 UTC
Winfrid please test the lastest iso it should work too :
http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/

Comment 6 Bug Zapper 2009-11-16 11:48:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Jérôme Glisse 2009-11-17 18:12:07 UTC
Closing this bug, works for me. Winfrid if you still have issue with the lastest ISO reopen.


Note You need to log in before you can comment on or make changes to this bug.